<?php
/**
 * Header Search
 *
 * @package Stygian
 */

$stygian_phone      = stygian_gtm( 'stygian_header_phone' );
$stygian_email      = stygian_gtm( 'stygian_header_email' );
$stygian_address    = stygian_gtm( 'stygian_header_address' );
$stygian_open_hours = stygian_gtm( 'stygian_header_open_hours' );

if ( $stygian_phone || $stygian_email || $stygian_address || $stygian_open_hours ) : ?>
	<div class="inner-quick-contact">
		<ul>
			<?php if ( $stygian_phone ) : ?>
				<li class="quick-call">
					<span><?php esc_html_e( 'Phone', 'stygian' ); ?></span><a href="tel:<?php echo preg_replace( '/\s+/', '', esc_attr( $stygian_phone ) ); ?>"><?php echo esc_html( $stygian_phone ); ?></a> </li>
			<?php endif; ?>

			<?php if ( $stygian_email ) : ?>
				<li class="quick-email"><span><?php esc_html_e( 'Email', 'stygian' ); ?></span><a href="<?php echo esc_url( 'mailto:' . esc_attr( antispambot( $stygian_email ) ) ); ?>"><?php echo esc_html( antispambot( $stygian_email ) ); ?></a> </li>
			<?php endif; ?>

			<?php if ( $stygian_address ) : ?>
				<li class="quick-address"><span><?php esc_html_e( 'Address', 'stygian' ); ?></span><?php echo esc_html( $stygian_address ); ?></li>
			<?php endif; ?>

			<?php if ( $stygian_open_hours ) : ?>
				<li class="quick-open-hours"><span><?php esc_html_e( 'Open Hours', 'stygian' ); ?></span><?php echo esc_html( $stygian_open_hours ); ?></li>
			<?php endif; ?>
		</ul>
	</div><!-- .inner-quick-contact -->
<?php endif; ?>

